@import url("./fonts.css");

/* ----------------------------- VARIABLES ------------------------------ */

:root {
  /* --main-color-primary: #4b000a; */
  --main-color-primary: #000000;
  --main-color-secondary: #f2eeea;
  --main-color-lightgrey: #e8e8e8;
  --main-color-grey: #ccc;
  --main-section-background: #fff;
  --main-font-color: #323232;
  --main-color-white: #fff;
  --main-color-black: #000;
  /* --------------------- */
  --section-color-secondary-bg: #f2eeea;
  --section-color-border: #f7f7f7;
}

/* ------------------------------ GLOBALS ------------------------------ */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 16px; /* 1rem = 16px */
}

body {
  font-family: "Montserrat", sans-serif;
  font-size: 1rem; /* 16px */
  line-height: 1.6;
  color: var(--main-font-color);
  background-color: var(--main-section-background);
}

/* Paragraphs */
small {
  display: block;
  line-height: 1.3;
}
p {
  margin-bottom: 1.5em;
}

/* Headings */
h1 {
  font-size: 2.5rem; /* 40px */
  font-weight: 700;
  margin-bottom: 0.6em;
  text-transform: uppercase;
}

h2 {
  font-size: 2rem; /* 32px */
  font-weight: 600;
  margin-bottom: 0.6em;
  text-transform: uppercase;
}

h3 {
  font-size: 1.5rem; /* 24px */
  font-weight: 600;
  margin-bottom: 0.6em;
  text-transform: uppercase;
}

h4 {
  font-size: 1.25rem; /* 20px */
  font-weight: 600;
  margin-bottom: 0.5em;
  text-transform: uppercase;
}

h5 {
  font-size: 1rem; /* 16px */
  font-weight: 600;
  margin-bottom: 0.5em;
  text-transform: uppercase;
}

h6 {
  font-size: 0.875rem; /* 14px */
  font-weight: 600;
  margin-bottom: 0.5em;
  text-transform: uppercase;
}

p.highlight {
  text-transform: uppercase;
  font-size: 1.05rem;
}

h1.thin-title,
h2.thin-title,
h3.thin-title,
h4.thin-title,
h5.thin-title,
h6.thin-title {
  font-weight: 400;
  text-transform: uppercase;
}

button.button-skin-homepage,
a.button-skin-homepage {
  display: inline-block;
  font-size: 0.8rem;
  color: var(--main-color-white);
  background-color: var(--main-color-primary);
  opacity: 0.6;
  padding: 18px 40px;
  text-transform: uppercase;
  text-decoration: none;
  transition: opacity 0.3s ease-in-out;
}

button.button-skin-homepage:hover,
a.button-skin-homepage:hover {
  opacity: 1;
  transition: opacity 0.3s ease-in-out;
}

button.button-skin,
a.button-skin,
input[type="submit"].button-skin {
  display: inline-block;
  font-size: 0.8rem;
  color: var(--main-color-white);
  background-color: var(--main-color-primary);
  padding: 18px 40px;
  text-transform: uppercase;
  text-decoration: none;
  transition: background-color 0.3s ease-in-out;
}

button:hover,
.button-skin:hover {
  background-color: #616161;
  transition: background-color 0.3s ease-in-out;
}

/* Form Elements */
input:not(input[type="checkbox"]) {
  width: 100%;
  padding: 8px 4px;
  border: none;
  border-bottom: 2px solid var(--main-color-primary);
  background: transparent;
  font-size: 1rem;
  outline: none;
  transition: border-color 0.2s ease-in-out;
}

.input:focus {
  border-color: var(--main-color-black);
}

/* -------------------- PAGE LAYOUTS ----------------------- */

.max-1400 {
  max-width: 1400px;
  margin: 0 auto;
}

/* -------------------- TOP NAV BAR ------------------------ */

.top-navbar-home,
.top-navbar-default {
  width: 100%;
  max-height: 100px;
  transition: opacity 0.3s ease, transform 0.3s ease;
  position: absolute;
  top: 0;
  z-index: 500;
}

.top-navbar-home {
  margin-top: 20px;
}

.top-navbar-default {
  background-color: var(--main-color-white);
  position: fixed;
  top: 0;
  visibility: hidden;
  opacity: 0;
  border-bottom: 1px solid var(--section-color-border);
}

.top-navbar-default.navbar-behavior-sticky {
  visibility: visible;
  opacity: 1;
}

.top-navbar-default.shown {
  visibility: visible;
  opacity: 1;
}

.top-navbar-home .container,
.top-navbar-default .container {
  max-width: 1410px;
  height: 100px;
  margin: 0 auto;
  padding: 1rem 2rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.top-navbar-home.hidden {
  opacity: 0;
  transform: translateY(-100%);
  pointer-events: none;
}

.top-navbar-home .site-logo,
.top-navbar-default .site-logo,
.top-navbar-home .site-emblem,
.top-navbar-default .site-emblem {
  height: 60px;
  width: auto;
}

.top-navbar-home .site-emblem,
.top-navbar-default .site-emblem {
  display: none;
}

@media (max-width: 602px) {
  .top-navbar-home .site-logo,
  .top-navbar-default .site-logo {
    display: none;
  }
  .top-navbar-home .site-emblem,
  .top-navbar-default .site-emblem {
    display: block;
  }
}

.top-navbar-home .right,
.top-navbar-default .right {
  display: flex;
  flex-wrap: nowrap;
  gap: 25px;
}

.top-navbar-home .site-title a,
.top-navbar-default .site-title a {
  text-decoration: none;
  font-size: 1.5rem;
  font-weight: bold;
  color: var(--main-color-white);
}

.top-navbar-default .site-title a {
  color: var(--main-color-primary);
}

.icon-button {
  border: none;
  cursor: pointer;
  height: 22px;
  width: 22px;
}

.fullscreen-panel {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(253, 253, 253);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.fullscreen-panel.active {
  display: flex;
}

.fullscreen-panel .inside {
  position: relative;
  width: 100%;
  height: 100%;
  margin: 0 4%;
}

.fullscreen-panel .inside .menu {
  position: absolute;
  bottom: 60px;
  left: 0;
  display: flex;
  flex-direction: column;
}

.fullscreen-panel .inside .menu h4 {
  font-size: 1.05rem;
}

.fullscreen-panel .inside .menu h4 span,
.fullscreen-panel .inside .menu h4 a,
.fullscreen-panel .inside .menu h5 a {
  text-decoration: none;
  color: inherit;
  padding-bottom: 1px;
  border-bottom: 1px solid transparent;
  transition: border-color 0.4s ease;
}

.fullscreen-panel .inside .menu h4 span:hover,
.fullscreen-panel .inside .menu h4 a:hover,
.fullscreen-panel .inside .menu h5 a:hover {
  border-bottom-color: currentColor;
  transition: border-color 0.3s ease;
}

.fullscreen-panel .inside .menu-panel-logo {
  width: 140px;
  height: auto;
  margin-bottom: 45px;
}

.fullscreen-panel .inside .menu-item-group .thin-title {
  cursor: pointer;
}

.fullscreen-panel .inside .menu-item-group h4.has-children {
  margin-bottom: 0 !important;
}

.fullscreen-panel .inside .menu-item-group.expanded .thin-title span::after {
  transform: rotate(180deg);
}

.fullscreen-panel .inside .submenu {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease;
  margin-left: 16px;
  margin-bottom: 10px;
}

.fullscreen-panel .inside .menu-item-group.expanded .submenu {
  max-height: 500px; /* enough for a few lines */
}

.fullscreen-panel .inside .submenu-item {
  font-size: 0.9rem;
  margin: 8px 0;
}

#navbar-close-menu {
  width: 30px;
  height: 30px;
  position: absolute;
  top: 100px;
  right: 0;
  background: none;
  border: none;
  cursor: pointer;
}

.navbar-search-button.home,
.navbar-menu-button.home {
  fill: var(--main-color-white);
}

.navbar-search-button.default,
.navbar-menu-button.default,
.navbar-search-button.home,
.navbar-menu-button.home {
  background-color: none !important;
}

/* ----- Animations ----- */
.navbar-search-button {
  display: inline-block;
  transition: transform 0.3s ease;
  transform-origin: 40% 40%;
}

.navbar-search-button:hover {
  transform: rotate(-15deg);
  background-color: none !important;
}

.navbar-menu-button {
  display: inline-block;
  transition: transform 0.2s ease;
  transform-origin: center;
}

.navbar-menu-button:hover {
  transform: scaleY(0.9);
  background-color: none !important;
}

#navbar-close-menu {
  display: inline-block;
  transition: transform 0.2s ease;
  transform-origin: center;
}

#navbar-close-menu:hover {
  transform: scale(1.08);
}

/* -------------------- VIDEO HERO SECTION ------------------------ */

#hero-media-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 20;
  overflow: hidden;
  transition: position 0.3s ease;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

#hero-media-container::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.2);
  z-index: 1;
}

#hero-video,
#hero-image {
  object-fit: cover;
  width: 100%;
  height: 100%;
  display: block;
}

#hero-video {
  pointer-events: none;
  @supports (-webkit-touch-callout: inherit) {
    display: none;
  }
}

#hero-video::-webkit-media-controls-start-playback-button {
  display: none !important;
  -webkit-appearance: none;
}

#hero-video::-webkit-media-controls-play-button {
  display: none !important;
  -webkit-appearance: none;
}

/* Hide any remaining WebKit media controls panel */
#hero-video::-webkit-media-controls {
  display: none !important;
}

#hero-fallback-image {
  display: none;
  object-fit: cover;
  width: 100%;
  height: 100%;
  min-width: 100%;
  min-height: 100%;
  @supports (-webkit-touch-callout: inherit) {
    display: block;
  }
}

#hero-media-container.static {
  position: relative;
  height: 100vh;
}

#hero-chevron-down {
  width: 33px;
  height: 15px;
  position: absolute;
  margin: auto;
  bottom: 40px;
  left: 0;
  right: 0;
  cursor: pointer;
  z-index: 2;
}

#hero-data-widget {
  max-width: 1380px;
  position: absolute;
  display: flex;
  flex-wrap: nowrap;
  margin: auto;
  bottom: 150px;
  left: 0;
  right: 0;
  color: var(--main-color-white);
  z-index: 2;
  gap: 15px;
  padding: 0 30px;
}

#hero-data-widget > div {
  width: 100%;
}

@media (max-width: 996px) {
  #hero-data-widget {
    display: block;
  }

  #hero-data-widget > div:first-child {
    text-align: center;
    margin-bottom: 20px;
  }
}

#hero-data-widget .data {
  height: 150px;
  display: flex;
  background: rgba(255, 255, 255, 0.06);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(6.8px);
  -webkit-backdrop-filter: blur(10.6px);
}

#hero-data-widget .data > div {
  width: 100%;
  height: 100%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 0 10px;
}

#hero-data-widget .data > div h4 {
  font-size: 1.6rem;
  margin-bottom: 0;
}

#hero-data-widget .data > div:not(:last-child) {
  border-right: 1px solid var(--main-color-white);
}

/* ------------------- FRONTPAGE TEMPLATE ----------------------- */

#frontpage.content-area {
  margin: 0;
  padding-top: 0;
}

#frontpage.content-area #all-properties {
  display: flex;
  min-height: 220px;
  justify-content: center;
  align-items: center;
}

#featured-properties .image-container {
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

#featured-properties .image-container .property-img.no-image {
  background-size: 100% 100%, 300px 369px !important;
}

#featured-properties .property-card {
  width: 100%;
  height: 100vh;
  position: relative;
}

#featured-properties .property-card .featured-property-data {
  position: absolute;
  margin: auto;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  color: var(--main-color-white);
  text-align: center;
  width: 100%;
  height: 100%;
  max-width: 300px;
  height: 200px;
}

#featured-properties .property-card .featured-property-data .property-link a {
  font-size: 1rem;
  color: var(--main-color-white);
}

.frontpage-banner-widget-area p {
  margin: 0; /* This style eliminates the extra space on top and below the frontend widget bottom banner */
}

/* --------------- GENERAL CONTENT AREA ------------------ */

section.content-area {
  padding-top: 130px;
}

section.content-area .entry-content {
  padding: 0 40px;
  margin: 70px 0;
}

div.parallax-img {
  background-image: linear-gradient(
      90deg,
      rgba(0, 0, 0, 0.3),
      rgba(0, 0, 0, 0.3)
    ),
    var(--bg-img); /* Set inline by the element */
  min-height: 100%;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  @supports (-webkit-touch-callout: inherit) {
    background-attachment: scroll;
  }
}

/* ---------------------- FOOTER ------------------------- */

footer.site-footer {
  background-color: var(--main-color-white);
  border-top: 1px solid var(--section-color-border);
  position: relative;
  min-height: 400px;
  overflow: hidden;
  font-size: 0.9rem;
}

footer.site-footer .footer-emblem {
  position: absolute;
  right: 15%;
  top: 60px;
  left: 50%;
  opacity: 0.06;
  width: 600px;
  height: 600px;
  z-index: 0;
}

footer.site-footer .press-coverage-logos {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  padding: 0 20px;
}

footer.site-footer .featured-in {
  width: 121px;
  height: 112px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

@media (max-width: 912px) {
  footer.site-footer .featured-in {
    width: 100%;
    align-items: center;
    height: 80px;
    margin-top: 20px;
  }
  footer.site-footer .footer-emblem {
    right: 0;
    top: 60px;
    left: 0;
    margin: auto;
  }
}

footer.site-footer .logo {
  width: 150px;
  opacity: 0.4;
}

footer.site-footer .logo img {
  width: 100%;
  height: auto;
}

footer.site-footer .footer-body {
  background-color: rgba(255, 255, 255, 0.06);
  position: relative;
  z-index: 10;
}

footer.site-footer .footer-content {
  max-width: 1410px;
  margin: 0 auto;
  min-height: 200px;
  display: flex;
  flex-wrap: nowrap;
}

footer.site-footer .footer-content > div {
  padding: 0 20px;
  margin: 25px 0 10px;
}

footer.site-footer .footer-content > div:first-child {
  width: 60%;
}

footer.site-footer .footer-content > div:last-child {
  width: 40%;
}

.footer-site-identity-logo,
.footer-site-identity-emblem {
  max-height: 70px;
  width: auto;
  opacity: 0.6;
}

.footer-site-identity-emblem {
  display: none;
}

footer.site-footer .menu-and-contact {
  display: flex;
  flex-wrap: nowrap;
  margin-top: 25px;
  gap: 60px;
}

footer.site-footer .menu-and-contact .menu-items,
footer.site-footer .menu-and-contact .contact-items {
  display: flex;
  flex-direction: column;
}

footer.site-footer .menu-and-contact .menu-items a,
footer.site-footer .menu-and-contact .contact-items a {
  text-decoration: none;
  color: inherit;
}

footer.site-footer .menu-and-contact .menu-items a:hover,
footer.site-footer .menu-and-contact .contact-items a:hover {
  text-decoration: underline;
}

footer.site-footer .locations {
  margin-top: 20px;
}

@media (max-width: 860px) {
  footer.site-footer .footer-content {
    display: block;
  }
  footer.site-footer .footer-content > div {
    width: 100% !important;
  }
  .footer-site-identity-logo {
    display: none;
  }
  .footer-site-identity-emblem {
    display: block;
  }
}

@media (max-width: 480px) {
  footer.site-footer .menu-and-contact {
    display: block;
  }
  footer.site-footer .menu-and-contact .contact {
    margin-top: 20px;
  }
}

footer.site-footer .social-icons-container {
  max-width: 1410px;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
  padding: 0 20px;
}

footer.site-footer .social-icons-container svg {
  width: 45px;
  height: auto;
  fill: var(--main-color-primary);
}

footer.site-footer .social-icons-container svg:hover {
  fill: var(--main-color-grey);
}

footer.site-footer .copyright {
  max-width: 1410px;
  margin: 20px auto 0;
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
  padding: 0 20px;
  align-items: center;
  min-height: 90px;
  border-top: 1px solid var(--section-color-border);
  border-bottom: 1px solid var(--section-color-border);
}

footer.site-footer .copyright a {
  color: inherit;
}

footer.site-footer .copyright p {
  margin-bottom: 0;
}

footer.site-footer .closing-paragraph {
  max-width: 1410px;
  margin: 20px auto;
  padding: 0 20px;
}

/* -------------------- PROPERTY GRID TEMPLATE PART --------------------- */

.property-grid {
  display: flex;
  flex-wrap: wrap;
}

.property-grid .property-card {
  width: 50%;
  height: 600px;
  position: relative;
  overflow: hidden;
}

.property-grid .property-image {
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  transition: transform 0.3s ease;
}

.property-grid .property-image.no-image {
  background-repeat: no-repeat, no-repeat;
  background-size: 100% 100%, 320px 394px !important;
}

.property-grid .property-image:hover {
  transform: scale(1.1);
}

.property-grid .property-info {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 20px;
  color: var(--main-color-white);
  pointer-events: none;
}

.property-grid .property-title {
  font-size: 1.25rem;
  margin: 0 0 5px;
}

.property-grid .property-address {
  font-size: 0.9rem;
  margin: 0;
}

#property-grid-container .property-card .status-chip {
  position: absolute;
  padding: 12px 24px;
  background-color: var(--main-color-primary);
  color: var(--main-color-white);
  right: 24px;
  top: 18px;
  z-index: 2;
}

#property-grid-container .property-card .open-house-data {
  position: absolute;
  margin: 0;
  text-decoration: none;
  color: var(--main-color-white);
  padding: 12px 24px;
  background-color: rgba(0, 0, 0, 0.4);
  top: 0;
  width: 100%;
  text-align: center;
  z-index: 2;
}

/* If it is sold and open house, open house data won't show up */
#property-grid-container .property-card.sold.open-house .open-house-data {
  display: none;
}

.spinner {
  text-align: center;
  padding: 1rem;
  font-weight: bold;
}

@media (max-width: 780px) {
  .property-grid .property-card {
    width: 100%;
  }
}

#property-grid-container .property-pagination {
  display: flex;
  gap: 10px;
  justify-content: center;
  margin-top: 15px;
}

#property-grid-container .property-pagination a {
  padding: 2px 10px;
  border: 1px solid var(--section-color-border);
  color: inherit;
  text-decoration: none;
  font-size: 1.2rem;
}

#property-grid-container .property-pagination span.current {
  padding: 2px 10px;
  border: 1px solid var(--section-color-border);
  background-color: var(--main-color-grey);
  font-size: 1.2rem;
  color: var(--main-color-white);
}

/* ------------------ LANGUAGE SWITCHER ----------------------- */

.drforbes-lang-switcher {
  position: relative;
  cursor: pointer;
  font-weight: thin;
  font-size: 1.2rem;
  line-height: 1.2rem;
  user-select: none;
  text-transform: uppercase;
  color: var(--main-color-white);
}

.top-navbar-default .drforbes-lang-switcher {
  color: inherit;
}

.drforbes-lang-switcher .lang-toggle {
  display: inline-block;
}

.drforbes-lang-switcher .lang-options {
  position: absolute;
  margin: 4px auto 0;
  left: 0;
  right: 0;
  padding: 4px 0;
  list-style: none;
  z-index: 999;
  max-height: 0;
  opacity: 0;
  transition: max-height 3s ease, opacity 0.3s ease;
  pointer-events: none;
}

.drforbes-lang-switcher[data-active="true"] .lang-options {
  max-height: 200px; /* Adjust based on number of items */
  opacity: 1;
  pointer-events: auto;
}

.drforbes-lang-switcher .lang-options li {
  white-space: nowrap;
}

.drforbes-lang-switcher .lang-options li a {
  text-decoration: none;
  color: var(--main-color-white);
  display: block;
}

.top-navbar-default .drforbes-lang-switcher .lang-options li a {
  color: inherit;
}

.drforbes-lang-switcher .lang-options li a:hover {
  /* color: rgba(0, 0, 0, 0.3); */
  text-decoration: underline;
}

/* --------------------------- SEARCH PAGE -------------------------------- */

#search-page-property-filters {
  width: 100%;
  max-width: 1400px;
  display: flex;
  flex-wrap: nowrap;
  margin: 0 auto;
  padding: 0 40px;
}

#search-page-property-filters > div {
  width: 100%;
}

#search-page-property-filters > div:first-child {
  text-align: center;
}

#search-page-property-filters input[name="search_criteria"] {
  padding-top: 124px;
  max-width: 249px;
}

#search-page-property-filters .wrapper {
  background-color: var(--main-color-white);
  padding: 30px;
  border-radius: 10px;
  margin-bottom: 2rem;
}

#search-page-property-filters .container {
  position: relative;
  max-width: 300px;
  width: 100%;
  height: 40px;
  margin: 30px auto 0 auto;
}

/* The fill bar between the thumbs */
#search-page-property-filters .slider-track {
  position: absolute;
  height: 2px;
  background: #dadae5;
  top: 50%;
  transform: translateY(-50%);
  border-radius: 5px;
  width: 100%;
  z-index: 1;
}

/* Inputs: both sliders stacked */
#search-page-property-filters input[type="range"] {
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
  background: none;
  z-index: 2;
  border-bottom: none;
}

/* Thumbs for Chrome/Safari */
#search-page-property-filters input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 18px;
  width: 18px;
  border-radius: 50%;
  background-color: var(--main-color-primary);
  border: 2px solid var(--main-color-white);
  cursor: pointer;
  pointer-events: auto;
}

/* Thumbs for Firefox */
#search-page-property-filters input[type="range"]::-moz-range-thumb {
  height: 18px;
  width: 18px;
  border-radius: 50%;
  background-color: var(--main-color-primary);
  border: 2px solid var(--main-color-white);
  cursor: pointer;
  pointer-events: auto;
}

/* Value display */
#search-page-property-filters .values {
  background-color: var(--main-color-primary);
  max-width: 300px;
  margin: 0 auto;
  text-align: center;
  padding: 10px 0;
  /* border-radius: 5px; */
  font-weight: 300;
  font-size: 16px;
  color: var(--main-color-white);
  position: relative;
}

#search-page-property-filters .values:before {
  content: "";
  position: absolute;
  height: 0;
  width: 0;
  border-top: 15px solid var(--main-color-primary);
  border-left: 15px solid transparent;
  border-right: 15px solid transparent;
  bottom: -14px;
  left: 50%;
  transform: translateX(-50%);
}

#search-page-property-filters .clear-filters {
  width: 136px;
  padding-top: 94px;
  padding-left: 10px;
}

@media (max-width: 940px) {
  #search-page-property-filters {
    width: 100%;
    padding: 30px 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
    margin-bottom: 30px;
  }

  #search-page-property-filters input[name="search_criteria"] {
    display: block;
    padding-top: 80px;
    width: 100%;
    max-width: 80%;
    margin: 0 auto;
  }

  #search-page-property-filters .wrapper {
    width: 80%;
    margin: 0;
    padding: 0;
  }

  #search-page-property-filters .values {
    max-width: 100%;
  }

  #search-page-property-filters .container {
    max-width: 100%;
  }

  #search-page-property-filters .clear-filters {
    padding: 0;
    text-align: center;
  }
}

/* -------------------------------------- SINGLE PROPERTY -------------------------------------------- */

section#single-property {
  padding-top: 0;
}

#single-property #content-spacer {
  height: 100vh;
  width: 100%;
}

#single-property #hero-media-container.static ~ #content-spacer {
  height: 0;
  width: 100%;
}

#single-property #hero-media-container {
  background-color: #757575;
}

#single-property #hero-media-container #scroll-to-photos {
  position: absolute;
  z-index: 999;
  right: 45px;
  bottom: 45px;
}

#single-property #hero-media-container #scroll-to-photos a {
  color: var(--main-color-white);
  text-decoration: none;
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
  gap: 25px;
  margin: 0;
}

#single-property #hero-media-container #scroll-to-photos img {
  width: 40px;
  height: auto;
}

#single-property #hero-media-container #scroll-to-photos h5 {
  margin: 0;
}

#single-property .entry-content {
  margin-top: 14px;
}

#single-property .entry-content .title-and-price {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

#single-property .entry-content .title-and-price > div {
  max-width: 1400px;
  width: 100%;
  margin: 0 auto;
}

#single-property .entry-content .title-and-price .decoration-line {
  max-width: none;
  width: 100%;
  height: 1px;
  display: flex;
  flex-wrap: nowrap;
  margin-bottom: 14px;
}

#single-property
  .entry-content
  .title-and-price
  .decoration-line
  > div:first-child {
  width: 60%;
  background-color: var(--main-color-grey);
}

#single-property .entry-content .content-body {
  max-width: 1400px;
  width: 100%;
  display: flex;
  flex-wrap: nowrap;
  margin: 0 auto;
}

#single-property .entry-content .content-body > div:first-child {
  width: 60%;
}

#single-property .entry-content .content-body > div:last-child {
  width: 30%;
  border-left: 1px solid var(--main-color-grey);
  margin-left: 10%;
  padding: 0 35px;
}

#single-property
  .entry-content
  .content-body
  > div:last-child
  > div:not(:first-child) {
  margin-top: 30px;
}

#single-property .entry-content .content-body > div:last-child p {
  margin: 0;
}

@media (max-width: 860px) {
  #single-property .entry-content .title-and-price h3 {
    margin: 0;
  }
  #single-property .entry-content .title-and-price .decoration-line {
    display: none;
  }
  #single-property .entry-content .content-body > div:last-child {
    border-left: none;
    border-bottom: 1px solid var(--main-color-grey);
  }
  #single-property .entry-content .content-body {
    flex-direction: column;
    flex-direction: column-reverse;
  }
  #single-property .entry-content .content-body > div:first-child,
  #single-property .entry-content .content-body > div:last-child {
    width: 100%;
  }
  #single-property .entry-content .content-body > div:last-child {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: auto auto;
    gap: 20px;
    margin: 0;
    padding: 35px;
  }
  #single-property .entry-content .content-body > div:last-child div {
    text-align: center;
    margin-top: 0 !important;
  }
  #single-property .entry-content .content-body > div:first-child {
    margin-top: 30px;
  }
}

#single-property .property-videos {
  display: flex;
  flex-direction: column;
  gap: 30px;
  align-items: center;
  margin: 60px 0;
}

#single-property .property-videos .video-wrapper video {
  max-width: 1000px;
  width: 100%;
  height: auto;
  display: block;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

#single-property #property-agents {
  background-color: var(--main-color-lightgrey);
  width: 100%;
  text-align: center;
}

#single-property #property-agents .agents-grid {
  max-width: 1400px;
  margin: 0 auto;
  padding: 45px;
}

#single-property .agent-card .agent-img {
  width: 184px !important;
  height: 200px !important;
  display: block;
}

#single-property .agent-card .agent-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

#single-property .agent-card {
  display: flex;
  flex-wrap: nowrap;
}

#single-property .agent-card + .agent-card {
  border-top: 1px solid var(--main-color-grey);
}

#single-property .agent-card .agent-info {
  width: 100%;
  display: flex;
  flex-direction: column;
  padding-left: 30px;
}

#single-property .agent-card .agent-info > div:first-child p {
  font-size: 34px;
  margin-bottom: 14px;
  text-align: left;
}

#single-property .agent-card .agent-info > div:last-child {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
  text-align: left;
}

@media (max-width: 1100px) {
  #single-property .agent-card {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  #single-property .agent-card .agent-info {
    align-items: center;
    padding-left: 0;
  }
  #single-property .agent-card .agent-info > div:last-child {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    gap: 20px;
  }
  #single-property .agent-card .agent-info > div:last-child p {
    text-align: center;
  }
}

#single-property #google-maps {
  height: 600px;
  overflow: hidden;
}

#single-property #google-maps iframe {
  width: 100%;
}

/* Slick Slider --------- */

#single-property .slick-slider-wrapper {
  width: 100% !important;
  height: 100% !important;
}

#single-property #slick-slider {
  width: 100% !important;
  height: 100% !important;
  overflow: hidden;
}

#single-property #slick-slider .slick-list,
#single-property #slick-slider .slick-track {
  height: 100%;
}

#single-property #slick-slider .slick-slide {
  display: flex !important;
  justify-content: center;
  align-items: center;
  height: 100%;
}

#single-property #slick-slider .slick-slide img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}

#single-property #slick-slider button {
  width: 60px;
  height: 60px;
  z-index: 9999;
}

#single-property #slick-slider button::before {
  content: none !important;
  font-size: 0;
  line-height: 0;
}

#single-property #slick-slider .slick-prev {
  left: 25px;
}

#single-property #slick-slider .slick-next {
  right: 25px;
}

/* Mansonry Gallery ----------- */

#single-property #all-photos {
  width: 100%;
  overflow: hidden;
}

#single-property #all-photos .load-more-wrapper {
  min-height: 190px;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

#single-property .custom-photo-grid {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 10px;
}

#single-property .custom-photo-grid .photo-item {
  height: 500px;
  overflow: hidden;
}

#single-property .custom-photo-grid .photo-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

#single-property .custom-photo-grid .grid-60 {
  grid-column: span 7; /* ~60% of 12 columns */
}

#single-property .custom-photo-grid .grid-40 {
  grid-column: span 5; /* ~40% */
}

#single-property .custom-photo-grid .grid-100 {
  grid-column: span 12;
  height: 650px;
}

/* Social Media Share --------- */

#single-property #social-media-share {
  max-width: 1400px;
  width: 100%;
  margin: 0 auto;
}

#single-property #social-media-share .share-container {
  position: relative;
  display: inline-block;
  min-height: 160;
}

#single-property #share-toggle {
  margin-top: 50px;
  cursor: pointer;
}

#single-property .share-panel {
  width: max-content;
  position: absolute;
  top: 100%;
  margin: auto;
  left: 0;
  right: 0;
  background: var(--main-color-lightgrey);
  border: 1px solid var(--main-color-grey);
  margin-top: 12px;
  padding: 15px;
  border-radius: 6px;
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.1);
  animation: slideDown 0.3s ease forwards;
  display: flex;
  flex-wrap: nowrap;
  gap: 12px;
}

#single-property .share-panel a svg {
  fill: var(--main-color-primary);
  width: 55px;
  height: 55px;
}

#single-property .share-panel a svg:hover {
  fill: #7a7a7a;
}

@keyframes slideDown {
  from {
    opacity: 0;
    transform: translateY(-12px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* --------------------------------- CONTACT FORM ---------------------------------------- */

#contact-form-wrapper {
  max-width: 600px;
  margin: 0 auto;
}

#contact-form-wrapper div {
  margin-bottom: 20px;
}

#contact-form-wrapper input:not([type="checkbox"]),
#contact-form-wrapper select,
#contact-form-wrapper textarea {
  width: 100%;
  max-width: 100%;
  padding: 10px;
  font-size: 16px;
  box-sizing: border-box;
}

#contact-form-wrapper select {
  border: none;
  border-bottom: 2px solid var(--main-color-primary);
}

#contact-form-wrapper textarea {
  min-height: 150px;
  border: 2px solid var(--main-color-primary);
}

/* --------- Contact Form Large -------------- */

#contact-form-large-wrapper {
  max-width: 1000px;
  width: 100%;
  margin: 0 auto;
}

#contact-form-large-wrapper .form-body > div.flex {
  margin-bottom: 20px;
  display: flex;
  flex-wrap: nowrap;
  gap: 20px;
}

#contact-form-large-wrapper .form-body > div > div {
  width: 100%;
}

#contact-form-large-wrapper select {
  border: none;
  border-bottom: 2px solid var(--main-color-primary);
}

#contact-form-large-wrapper label:not([for="cf_agree"]) {
  text-transform: uppercase;
}

#contact-form-large-wrapper textarea {
  min-height: 150px;
  border: 2px solid var(--main-color-primary);
}

.contact-form input:not([type="checkbox"]),
.contact-form select,
.contact-form textarea {
  width: 100%;
  max-width: 100%;
  padding: 10px;
  font-size: 16px;
  box-sizing: border-box;
}

.large-form-contact-details {
  display: flex;
  max-width: 700px;
  margin: 30px auto;
  text-align: center;
  gap: 20px;
}

.large-form-contact-details a {
  color: inherit;
}

.large-form-contact-details > div.vertical-line {
  width: 1px;
  height: 100px;
  background-color: var(--main-color-grey);
}

@media (max-width: 1000px) {
  #contact-form-large-wrapper .form-body > div.flex {
    display: block;
    margin-bottom: 0;
  }

  #contact-form-large-wrapper form .field {
    margin-bottom: 30px;
  }

  .large-form-contact-details > div.vertical-line {
    display: none;
  }

  .large-form-contact-details {
    display: block;
    max-width: none;
  }
}

/* ---------------------------- CONTACT FULL SCREEN PANEL ------------------------------------ */

#contact-fullscreen-panel {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(253, 253, 253);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 999999;
}

#contact-fullscreen-panel.active {
  display: flex;
}

#contact-fullscreen-panel .inside {
  position: relative;
  width: 100%;
  height: 100%;
  margin: 0 4%;
  padding: 120px 0;
}

#contact-fullscreen-panel .inside .layout {
  max-width: 1400px;
  width: 100%;
  height: 100%;
  margin: 0 auto;
  display: flex;
  flex-wrap: nowrap;
  flex-direction: row-reverse;
  overflow-y: auto;
}

#contact-fullscreen-panel .inside .layout .contact-details {
  margin-top: 25px;
  display: flex;
  flex-direction: column;
  gap: 25px;
}

#contact-fullscreen-panel .inside .layout .contact-details > div {
  display: flex;
  flex-wrap: nowrap;
  gap: 15px;
}

#contact-fullscreen-panel .inside .layout .contact-details p,
#contact-fullscreen-panel .inside .layout .contact-details h4 {
  margin: 0;
}

#contact-fullscreen-panel .inside .layout .contact-details a {
  color: inherit;
}

#contact-fullscreen-panel .inside .layout .contact-details .social-media {
  max-width: 1410px;
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
  padding: 0 20px;
}

#contact-fullscreen-panel .inside .layout .contact-details .social-media svg {
  width: 30px;
  height: auto;
  fill: var(--main-color-primary);
}

#contact-fullscreen-panel
  .inside
  .layout
  .contact-details
  .social-media
  svg:hover {
  fill: var(--main-color-grey);
}

#contact-fullscreen-panel .inside .layout > div {
  padding: 60px 45px;
}

#contact-fullscreen-panel .inside .layout > div:first-child {
  border-left: 1px solid var(--main-color-grey);
}

#contact-panel-close-menu {
  width: 30px;
  height: 30px;
  position: absolute;
  top: 80px;
  right: 0;
  background: none;
  border: none;
  cursor: pointer;
  display: inline-block;
  transition: transform 0.2s ease;
  transform-origin: center;
}

#contact-panel-close-menu:hover {
  transform: scale(1.08);
}

@media (max-width: 1000px) {
  #contact-fullscreen-panel .inside .layout {
    display: block;
  }
  #contact-fullscreen-panel .inside .layout > div:first-child {
    border: none;
  }
}

/* ---------------------------------------- AGENT ARCHIVE PAGE -------------------------------------------- */

#agent-archive {
  max-width: 1400px;
  width: 100%;
  padding: 0 40px;
  margin: 0 auto;
}

#agent-archive .agent-search-container {
  max-width: 300px;
  margin: 0 auto;
}

#agent-archive #agent-search-results {
  list-style: none;
  border: none;
}

#agent-archive #agent-search-results li {
  padding: 4px 10px;
  border: 1px solid var(--main-color-lightgrey);
}

#agent-archive #agent-search-results li a {
  color: inherit;
  display: block;
  width: 100%;
  height: 100%;
}

#agent-archive .agent-grid {
  width: 100%;
  max-width: max-content;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

#agent-archive .agent-grid.leadership {
  grid-template-columns: repeat(2, 1fr);
}

#agent-archive .agent-grid .agent-card {
  max-width: 390px;
  width: 100%;
}

#agent-archive .agent-grid .agent-card .agent-picture {
  width: 100%;
  aspect-ratio: 390 / 500;
  max-width: 390px;
  height: auto;
  overflow: hidden;
  position: relative;
  background-color: var(--main-color-lightgrey);
}

#agent-archive .agent-grid .agent-card .agent-picture img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

#agent-archive .agent-grid .agent-card .agent-details {
  text-align: center;
  margin-top: 10px;
}

#agent-archive .agent-grid .agent-card .agent-details a {
  color: inherit;
  text-decoration: none;
}

@media (max-width: 1100px) {
  #agent-archive .agent-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 700px) {
  #agent-archive .agent-grid,
  #agent-archive .agent-grid.leadership {
    grid-template-columns: repeat(1, 1fr);
  }
}

/* --------------------------- SINGLE AGENT --------------------------------- */

#single-agent {
  max-width: 1400px;
  width: 100%;
  padding: 0 40px;
  margin: 0 auto;
}

#single-agent .agent-card {
  width: 100%;
  display: flex;
  flex-wrap: nowrap;
  gap: 30px;
}

#single-agent .agent-card > div {
  width: 100%;
}

#single-agent .agent-card .agent-picture .img {
  width: 100%;
  aspect-ratio: 520 / 650;
  max-width: 520px;
  height: auto;
  overflow: hidden;
  position: relative;
  background-color: var(--main-color-lightgrey);
  margin: 0 auto;
}

#single-agent .agent-card .agent-picture .img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

#single-agent .agent-card .agent-info h5 {
  margin-top: 20px;
}

#single-agent .agent-card .agent-info a {
  color: inherit;
}

#single-agent .agent-card .agent-picture .social-media {
  margin-top: 12px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  cursor: pointer;
}

#single-agent .agent-card .agent-picture .social-media svg {
  width: 25px;
  height: auto;
  fill: var(--main-color-primary);
}

#single-agent .no-properties-message {
  text-align: center;
}

@media (max-width: 1160px) {
  #single-agent .agent-card {
    display: block;
  }

  #single-agent .agent-card .agent-info {
    margin-top: 30px;
    text-align: center;
  }
}

/* ------------------------------------ MAINTENANCE MODE ---------------------------------------- */

.maintenance-fullscreen-panel {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(253, 253, 253);
  justify-content: center;
  align-items: center;
  z-index: 1;
  background-image: url(../images/maintenance_bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  overflow: hidden;
  color: var(--main-color-white);
}

.maintenance-fullscreen-panel::after {
  content: "";
  position: absolute;
  inset: 0;
  pointer-events: none;
  background: radial-gradient(
    ellipse at center,
    rgba(0, 0, 0, 0.4) 20%,
    rgba(0, 0, 0, 0.7) 70%,
    rgba(0, 0, 0, 1) 100%
  );
}

.maintenance-fullscreen-panel .content {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 3;
  text-align: center;
  padding: 80px 40px 30px;
  overflow-y: auto;
}

.maintenance-fullscreen-panel .content .logo {
  width: 260px;
  height: auto;
}

.maintenance-fullscreen-panel .content p {
  margin: 0;
}

.maintenance-fullscreen-panel .content a {
  color: var(--main-color-white);
}
